public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-proxy/mitmproxy/
Date: Sun, 31 Oct 2021 03:00:28 +0000 (UTC)	[thread overview]
Message-ID: <1635649187.8f71e73d68dda7c748867b29013b9d23d48fd6b9.sam@gentoo> (raw)

commit:     8f71e73d68dda7c748867b29013b9d23d48fd6b9
Author:     Matt Smith <matt <AT> offtopica <DOT> uk>
AuthorDate: Thu Oct 28 16:24:57 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Oct 31 02:59:47 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8f71e73d

net-proxy/mitmproxy: Bump to 7.0.4

Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Matt Smith <matt <AT> offtopica.uk>
Closes: https://github.com/gentoo/gentoo/pull/22745
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-proxy/mitmproxy/Manifest               |  1 +
 net-proxy/mitmproxy/mitmproxy-7.0.4.ebuild | 69 ++++++++++++++++++++++++++++++
 2 files changed, 70 insertions(+)

diff --git a/net-proxy/mitmproxy/Manifest b/net-proxy/mitmproxy/Manifest
index cfbb764a156..abd6222b162 100644
--- a/net-proxy/mitmproxy/Manifest
+++ b/net-proxy/mitmproxy/Manifest
@@ -1 +1,2 @@
 DIST mitmproxy-7.0.3.tar.gz 27311502 BLAKE2B a55f8a43cc052e342a0630fdd80fc713be7ce3db7b3899ccce79cfcd385345b7ebe8480c618c626d63e851d92f528a350d614ac3c7dfb85b01a555389d914ff7 SHA512 cffbb60421724fa28aab69b3bf1100e0aa5ab6e8933186f5706eb4eee35ef0f716616001156dac07921c73024e6ad8b98499a273575c592bb7694c0dffb728da
+DIST mitmproxy-7.0.4.tar.gz 27312748 BLAKE2B a23db472adab33db615b0daa93694211450e8899885dc75601d40a4964cc505437db6a106622eb8051263db23280261134937b6567482dd584eed29cc592e42b SHA512 4224b44e609f84b974b5419c6ceb576845957968c786ee437bffb5fa5df685ce0712d5ef8c402d40c568406242f44692cc7f04037fadd19ecece8b112d73b7ae

diff --git a/net-proxy/mitmproxy/mitmproxy-7.0.4.ebuild b/net-proxy/mitmproxy/mitmproxy-7.0.4.ebuild
new file mode 100644
index 00000000000..0abdfc2548c
--- /dev/null
+++ b/net-proxy/mitmproxy/mitmproxy-7.0.4.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8,9} )
+PYTHON_REQ_USE="sqlite"
+inherit distutils-r1
+
+DESCRIPTION="An interactive, SSL-capable, man-in-the-middle HTTP proxy"
+HOMEPAGE="https://mitmproxy.org/"
+SRC_URI="https://github.com/mitmproxy/mitmproxy/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+	>=app-arch/brotli-1.0.0[python,${PYTHON_USEDEP}]
+	>=dev-python/asgiref-3.2.10[${PYTHON_USEDEP}]
+	>=dev-python/blinker-1.4[${PYTHON_USEDEP}]
+	>=dev-python/certifi-2015.11.20.1[${PYTHON_USEDEP}]
+	>=dev-python/click-7.0[${PYTHON_USEDEP}]
+	>=dev-python/cryptography-3.3[${PYTHON_USEDEP}]
+	>=dev-python/flask-1.1.1[${PYTHON_USEDEP}]
+	>=dev-python/h2-4.0.0[${PYTHON_USEDEP}]
+	>=dev-python/hyperframe-6.0.0[${PYTHON_USEDEP}]
+	>=dev-python/kaitaistruct-0.7[${PYTHON_USEDEP}]
+	>=dev-python/ldap3-2.8[${PYTHON_USEDEP}]
+	>=dev-python/msgpack-1.0.0[${PYTHON_USEDEP}]
+	>=dev-python/passlib-1.6.5[${PYTHON_USEDEP}]
+	>=dev-python/protobuf-python-3.14.0[${PYTHON_USEDEP}]
+	>=dev-python/publicsuffix-2.20190205[${PYTHON_USEDEP}]
+	>=dev-python/pyasn1-0.3.1[${PYTHON_USEDEP}]
+	>=dev-python/pyopenssl-20.0[${PYTHON_USEDEP}]
+	>=dev-python/pyparsing-2.4.2[${PYTHON_USEDEP}]
+	>=dev-python/pyperclip-1.6.0[${PYTHON_USEDEP}]
+	>=dev-python/ruamel-yaml-0.16[${PYTHON_USEDEP}]
+	>=dev-python/sortedcontainers-2.3.0[${PYTHON_USEDEP}]
+	>=www-servers/tornado-4.3[${PYTHON_USEDEP}]
+	>=dev-python/urwid-2.1.1[${PYTHON_USEDEP}]
+	>=dev-python/wsproto-1.0.0[${PYTHON_USEDEP}]
+	>=dev-python/zstandard-0.11.0[${PYTHON_USEDEP}]
+	dev-libs/openssl:0
+"
+
+BDEPEND="
+	test? (
+		>=dev-python/hypothesis-5.8[${PYTHON_USEDEP}]
+		>=dev-python/parver-0.1[${PYTHON_USEDEP}]
+		>=dev-python/pytest-asyncio-0.10.0[${PYTHON_USEDEP}]
+		>=dev-python/requests-2.9.1[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+	# loosen dependencies
+	sed -i \
+		-e '/>/s/>.*/",/g' \
+		-e '/python_requires/d' \
+		setup.py || die
+
+	# remove failing test
+	sed -i 's/test_get_version/_&/g' test/mitmproxy/test_version.py || die
+
+	distutils-r1_python_prepare_all
+}


             reply	other threads:[~2021-10-31  3:00 UTC|newest]

Thread overview: 55+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-10-31  3:00 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-05-07  2:07 [gentoo-commits] repo/gentoo:master commit in: net-proxy/mitmproxy/ Michał Górny
2025-04-30  5:36 Michał Górny
2025-04-20 11:43 Michał Górny
2025-01-25 11:01 Arthur Zamarin
2025-01-04 16:17 Sam James
2024-12-31 16:01 Michał Górny
2024-12-31 16:01 Michał Górny
2023-12-07 16:22 Matthew Smith
2023-03-06 16:23 Arthur Zamarin
2023-02-21 10:00 Michał Górny
2023-02-21  9:30 Sam James
2022-12-05 20:17 Arthur Zamarin
2022-11-18  8:49 Arthur Zamarin
2022-11-02 12:31 Matthew Smith
2022-09-09  9:48 Matthew Smith
2022-08-17  7:06 Agostino Sarubbo
2022-07-10  8:40 Matthew Smith
2022-07-10  8:40 Matthew Smith
2022-07-10  6:17 Agostino Sarubbo
2022-05-21  8:17 Matthew Smith
2022-05-14 10:05 Matthew Smith
2022-04-28 17:37 Matthew Smith
2022-02-13 19:06 Matthew Smith
2022-01-21  7:08 Joonas Niilola
2021-12-04  9:45 Joonas Niilola
2021-09-17 18:19 John Helmert III
2021-09-17  9:18 Agostino Sarubbo
2021-09-16 20:23 Ionen Wolkens
2021-09-16 18:44 Ionen Wolkens
2021-09-11  8:18 Joonas Niilola
2021-08-19  1:25 Agostino Sarubbo
2021-08-07  9:08 Ionen Wolkens
2021-07-19 10:09 Ionen Wolkens
2021-05-02 12:37 Mikle Kolyada
2021-03-01  9:20 Agostino Sarubbo
2021-01-24  0:34 Sam James
2021-01-24  0:34 Sam James
2021-01-22 23:01 Sam James
2020-12-17 14:12 Joonas Niilola
2020-11-08 12:02 Sam James
2020-11-05 12:32 Joonas Niilola
2020-10-09  7:25 Joonas Niilola
2020-10-09  7:25 Joonas Niilola
2020-10-09  7:25 Joonas Niilola
2020-09-02 22:43 Sam James
2020-09-02 22:43 Sam James
2020-08-02  4:08 Aaron Bauman
2020-06-20 17:42 Aaron Bauman
2020-06-20 17:42 Aaron Bauman
2020-06-04  7:56 Joonas Niilola
2019-11-17 22:32 Tim Harder
2019-11-17 22:32 Tim Harder
2019-01-31  9:17 Tim Harder
2019-01-19  3:22 Thomas Deutschmann

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1635649187.8f71e73d68dda7c748867b29013b9d23d48fd6b9.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox